Last Comment Bug 436670 - default color constants should be vars in EdColorProps.js
: default color constants should be vars in EdColorProps.js
Status: RESOLVED FIXED
: fixed-seamonkey1.1.10, fixed1.8.1.15
Product: SeaMonkey
Classification: Client Software
Component: Composer (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.0a1
Assigned To: Stefan [:stefanh] (away until May 28)
:
Mentors:
Depends on:
Blocks: 443837
  Show dependency treegraph
 
Reported: 2008-05-31 07:12 PDT by Stefan [:stefanh] (away until May 28)
Modified: 2008-07-07 22:13 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Use vars instead of constants (1.17 KB, patch)
2008-05-31 07:15 PDT, Stefan [:stefanh] (away until May 28)
neil: review+
neil: superreview+
dveditz: approval1.8.1.15+
ajschult: approval‑seamonkey1.1.10+
Details | Diff | Review

Description Stefan [:stefanh] (away until May 28) 2008-05-31 07:12:46 PDT
If you set page colors in Composer (Format --> Page Colors and Background...), you get 5 warnings in the js console because the default color values are constants. The pref-composer.js part was fixed in bug 331024, but the EdColorProps.js part obviously remains.
Comment 1 Stefan [:stefanh] (away until May 28) 2008-05-31 07:15:14 PDT
Created attachment 323209 [details] [diff] [review]
Use vars instead of constants
Comment 2 neil@parkwaycc.co.uk 2008-05-31 10:02:51 PDT
Comment on attachment 323209 [details] [diff] [review]
Use vars instead of constants

As a bonus the default page colours preview properly :-)
Comment 3 Stefan [:stefanh] (away until May 28) 2008-05-31 16:34:59 PDT
Checked in to:

HEAD:
Checking in editor/ui/dialogs/content/EdColorProps.js;
/cvsroot/mozilla/editor/ui/dialogs/content/EdColorProps.js,v  <--  EdColorProps.js
new revision: 1.41; previous revision: 1.40
done

MOZILLA_1_8_BRANCH:
Checking in editor/ui/dialogs/content/EdColorProps.js;
/cvsroot/mozilla/editor/ui/dialogs/content/EdColorProps.js,v  <--  EdColorProps.js
new revision: 1.40.20.1; previous revision: 1.40
done

Comment 4 Stefan [:stefanh] (away until May 28) 2008-05-31 16:37:07 PDT
Btw, filed bug 436726 in order to get a "fixed-seamonkey1.1.10" keyword
Comment 5 Stefan [:stefanh] (away until May 28) 2008-05-31 16:42:08 PDT
(In reply to comment #4)
> Btw, filed bug 436726 in order to get a "fixed-seamonkey1.1.10" keyword
> 

Oh, there is already a keyword...
Comment 6 Stefan [:stefanh] (away until May 28) 2008-05-31 17:38:49 PDT
I backed out the 1.8 branch part since I think it needs approval1.8.1.15.
Comment 7 Stefan [:stefanh] (away until May 28) 2008-05-31 17:48:19 PDT
Comment on attachment 323209 [details] [diff] [review]
Use vars instead of constants

Drivers, this is 0% risk and it fixes a small problem with code that is shared between seamonkey and thunderbird - the same js errors can be seen in thunderbird.
Comment 8 Daniel Veditz [:dveditz] 2008-06-02 11:18:34 PDT
Comment on attachment 323209 [details] [diff] [review]
Use vars instead of constants

Approved for 1.8.1.15, a=dveditz for release-drivers
Comment 9 Stefan [:stefanh] (away until May 28) 2008-06-02 11:52:40 PDT
Checked in to MOZILLA_1_8_BRANCH:

Checking in editor/ui/dialogs/content/EdColorProps.js;
/cvsroot/mozilla/editor/ui/dialogs/content/EdColorProps.js,v  <--  EdColorProps.js
new revision: 1.40.20.3; previous revision: 1.40.20.2
done
Comment 10 Stefan [:stefanh] (away until May 28) 2008-06-05 14:53:01 PDT
reed, should this be landed in mozilla-central as well?
Comment 11 Stefan [:stefanh] (away until May 28) 2008-06-05 14:53:29 PDT
oh, wait - wrong bug
Comment 12 Justin Wood (:Callek) 2008-07-07 22:13:20 PDT
Patch checked into mozilla-central in Bug 443837

Note You need to log in before you can comment on or make changes to this bug.